Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.price.quote
Class AdjustmentType

    java.lang.Object
      com.bea.commerce.ebusiness.price.quote.AdjustmentType

All Implemented Interfaces
  Serializable

Deprecated

    @Deprecated
    public final class AdjustmentType

extends Object
implements Serializable

Specifies the available adjustment types. Only one object of each type exists.

See Also
  Serialized Form

Field Summary
`static AdjustmentType` | `BASE_PRICE` Deprecated object for the LINE_DISCOUNT type
`static int` | `I_BASE_PRICE` Deprecated integer representing the BASE_PRICE type
`static int` | `I_ITEM_TAX` Deprecated integer representing the ITEM_TAX type
`static int` | `I_LINE_DISCOUNT` Deprecated integer representing the LINE_DISCOUNT type
`static int` | `I_ORDER_DISCOUNT` Deprecated integer representing the ORDER_DISCOUNT type
`static int` | `I_ORDER_TAX` Deprecated integer representing the ORDER_TAX type
`static int` | `I_SHIPPING` Deprecated integer representing the SHIPPING type
`static int` | `I_SHIPPING_BASE_PRICE` Deprecated integer representing the SHIPPING_BASE_PRICE type
`static int` | `I_SHIPPING_DISCOUNT` Deprecated integer representing the SHIPPING_DISCOUNT type
`static AdjustmentType` | `ITEM_TAX` Deprecated object for the LINE_DISCOUNT type
`static AdjustmentType` | `LINE_DISCOUNT` Deprecated object for the LINE_DISCOUNT type
`static AdjustmentType` | `ORDER_DISCOUNT` Deprecated object for the LINE_DISCOUNT type
`static AdjustmentType` | `ORDER_TAX` Deprecated object for the LINE_DISCOUNT type
`static String` | `S_BASE_PRICE` Deprecated string representing the BASE_PRICE type
`static String` | `S_ITEM_TAX` Deprecated string representing the ITEM_TAX type
`static String` | `S_LINE_DISCOUNT` Deprecated string representing the LINE_DISCOUNT type
`static String` | `S_ORDER_DISCOUNT` Deprecated string representing the ORDER_DISCOUNT type
`static String` | `S_ORDER_TAX` Deprecated string representing the ORDER_TAX type
`static String` | `S_SHIPPING` Deprecated string representing the SHIPPING type
`static String` | `S_SHIPPING_BASE_PRICE` Deprecated string representing the SHIPPING_BASE_PRICE type
`static String` | `S_SHIPPING_DISCOUNT` Deprecated string representing the SHIPPING_DISCOUNT type
`static AdjustmentType` | `SHIPPING` Deprecated object for the LINE_DISCOUNT type
`static AdjustmentType` | `SHIPPING_BASE_PRICE` Deprecated object for the LINE_DISCOUNT type
`static AdjustmentType` | `SHIPPING_DISCOUNT` Deprecated object for the LINE_DISCOUNT type

Method Summary
`boolean` | `equals(Object object)` Deprecated Compares the specified object to this object.
`int` | `getInt()` Deprecated Returns the string value for this instance.
`static AdjustmentType` | `getObject(String token)` Deprecated
`String` | `getString()` Deprecated Returns the string value for this instance.
`int` | `hashCode()` Deprecated Returns a hashcode value for the object.
`String` | `toString()` Deprecated Returns a string value and the class name for the instance.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### I_LINE_DISCOUNT

    public static final int I_LINE_DISCOUNT

  Deprecated
  integer representing the LINE_DISCOUNT type

  See Also
    Constants Summary

### I_ORDER_DISCOUNT

    public static final int I_ORDER_DISCOUNT

  Deprecated
  integer representing the ORDER_DISCOUNT type

  See Also
    Constants Summary

### I_SHIPPING

    public static final int I_SHIPPING

  Deprecated
  integer representing the SHIPPING type

  See Also
    Constants Summary

### I_SHIPPING_DISCOUNT

    public static final int I_SHIPPING_DISCOUNT

  Deprecated
  integer representing the SHIPPING_DISCOUNT type

  See Also
    Constants Summary

### I_ITEM_TAX

    public static final int I_ITEM_TAX

  Deprecated
  integer representing the ITEM_TAX type

  See Also
    Constants Summary

### I_ORDER_TAX

    public static final int I_ORDER_TAX

  Deprecated
  integer representing the ORDER_TAX type

  See Also
    Constants Summary

### I_BASE_PRICE

    public static final int I_BASE_PRICE

  Deprecated
  integer representing the BASE_PRICE type

  See Also
    Constants Summary

### I_SHIPPING_BASE_PRICE

    public static final int I_SHIPPING_BASE_PRICE

  Deprecated
  integer representing the SHIPPING_BASE_PRICE type

  See Also
    Constants Summary

### LINE_DISCOUNT

    public static final AdjustmentType LINE_DISCOUNT

  Deprecated
  object for the LINE_DISCOUNT type

### ORDER_DISCOUNT

    public static final AdjustmentType ORDER_DISCOUNT

  Deprecated
  object for the LINE_DISCOUNT type

### SHIPPING

    public static final AdjustmentType SHIPPING

  Deprecated
  object for the LINE_DISCOUNT type

### SHIPPING_DISCOUNT

    public static final AdjustmentType SHIPPING_DISCOUNT

  Deprecated
  object for the LINE_DISCOUNT type

### ITEM_TAX

    public static final AdjustmentType ITEM_TAX

  Deprecated
  object for the LINE_DISCOUNT type

### ORDER_TAX

    public static final AdjustmentType ORDER_TAX

  Deprecated
  object for the LINE_DISCOUNT type

### BASE_PRICE

    public static final AdjustmentType BASE_PRICE

  Deprecated
  object for the LINE_DISCOUNT type

### SHIPPING_BASE_PRICE

    public static final AdjustmentType SHIPPING_BASE_PRICE

  Deprecated
  object for the LINE_DISCOUNT type

### S_LINE_DISCOUNT

    public static final String S_LINE_DISCOUNT

  Deprecated
  string representing the LINE_DISCOUNT type

  See Also
    Constants Summary

### S_ORDER_DISCOUNT

    public static final String S_ORDER_DISCOUNT

  Deprecated
  string representing the ORDER_DISCOUNT type

  See Also
    Constants Summary

### S_SHIPPING

    public static final String S_SHIPPING

  Deprecated
  string representing the SHIPPING type

  See Also
    Constants Summary

### S_SHIPPING_DISCOUNT

    public static final String S_SHIPPING_DISCOUNT

  Deprecated
  string representing the SHIPPING_DISCOUNT type

  See Also
    Constants Summary

### S_ITEM_TAX

    public static final String S_ITEM_TAX

  Deprecated
  string representing the ITEM_TAX type

  See Also
    Constants Summary

### S_ORDER_TAX

    public static final String S_ORDER_TAX

  Deprecated
  string representing the ORDER_TAX type

  See Also
    Constants Summary

### S_BASE_PRICE

    public static final String S_BASE_PRICE

  Deprecated
  string representing the BASE_PRICE type

  See Also
    Constants Summary

### S_SHIPPING_BASE_PRICE

    public static final String S_SHIPPING_BASE_PRICE

  Deprecated
  string representing the SHIPPING_BASE_PRICE type

  See Also
    Constants Summary

Method Detail

### toString

    public String toString()

  Deprecated
  Returns a string value and the class name for the instance. This method is intended for debugging and may change. Use the getString() method to obtain the string value of the object.

  Overrides:
    `toString` in class `Object`

### getString

    public String getString()

  Deprecated
  Returns the string value for this instance.

### getInt

    public int getInt()

  Deprecated
  Returns the string value for this instance.

### getObject

    public static AdjustmentType getObject(String token)

  Deprecated
  Parameters
    `token` - a string to match to a AdjustmentType object
  Returns
    the AdjustmentType object that corrsponds to the specified string token.

### equals

    public boolean equals(Object object)

  Deprecated
  Compares the specified object to this object. If the specified object is identical to this object this method will return true. False will be returned otherwise.

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Deprecated
  Returns a hashcode value for the object.

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.